<?php

defined('ABSPATH') or die();

if (class_exists('WP_Customize_Control')) :
    class enigma_Customizer_team_fields extends WP_Customize_Control
    {
        public function render_content() { ?>
            <div class="wl_agm team_block">
                <label>
                    <span class="customize-control-title"><?php echo esc_html($this->label); ?></span>
            <?php if (!empty($this->description)) : ?>
                    <span class="description customize-control-description"><?php echo esc_html($this->description); ?></span>
            <?php endif; ?>
            </label>
            <form id="wl-ext-form-team" method="post">
                <div id="input_fields_wrap-team">
            <?php if (!empty(get_theme_mod('enigma_team_data'))) {
                $name_arr = unserialize(get_theme_mod('enigma_team_data'));
                foreach ($name_arr as $key => $value) { ?>
                                    <div class="wl-dynamic-fields">
                                        <div class="form-group">
                                            <label for="title" class="col-form-label wl-txt-label"><?php esc_html_e('Team Member Name', WL_COMPANION_DOMAIN); ?></label>
                                            <input type="text" class="form-control" id="team_name-<?php echo esc_attr($key); ?>" name="team_name-<?php echo esc_attr($key); ?>" placeholder="<?php esc_html_e('Enter Name', WL_COMPANION_DOMAIN); ?>" value="<?php if (!empty($value['team_name'])) {
                                                echo esc_attr($value['team_name']);
} ?>" >
                                        </div>
                                        <div class="form-group">
                                            <label for="designation" class="col-form-label wl-txt-label"><?php esc_html_e('Team Member Designation', WL_COMPANION_DOMAIN); ?></label>
                                            <input type="text" class="form-control" id="team_designation-<?php echo esc_attr($key); ?>" name="team_designation-<?php echo esc_attr($key); ?>" placeholder="<?php esc_html_e('Enter Designation', WL_COMPANION_DOMAIN); ?>" value="<?php if (!empty($value['team_designation'])) { echo esc_attr($value['team_designation']); 
} ?>">
                                        </div>
                                        <div class="form-group">
                                            <label for="team_desc-<?php echo esc_attr($key); ?>" class="col-form-label wl-txt-label"><?php esc_html_e('Linkedin Link', WL_COMPANION_DOMAIN); ?></label>
                                            <textarea class="form-control" rows="5" id="team_desc-<?php echo esc_attr($key); ?>" name="team_desc-<?php echo esc_attr($key); ?>" placeholder=" "><?php if (!empty($value['team_desc'])) { echo esc_textarea($value['team_desc']); 
} ?></textarea>
                                        </div>
                                        <div class="form-group">
                    <?php if (!empty($value['team_image'])) {?>
                                                <img class="wl-upload-img-tag" src="<?php echo esc_url($value['team_image']); ?>"><br>
                    <?php } ?>
                                            <label for="team_image-<?php echo esc_attr($key); ?>" class="col-form-label wl-txt-label"><?php esc_html_e('Profile Picture', WL_COMPANION_DOMAIN); ?></label>
                                            <input type="text" name="team_image-<?php echo esc_attr($key); ?>" id="team_image-<?php echo esc_attr($key); ?>" class="form-control team_image" value="<?php if (!empty($value['team_image'])) {
                                                echo esc_attr($value['team_image']);
} ?>" >
                                            <input type="button" name="upload-btn" class="button-secondary button upload_image_btn upload_team_c" id="upload_team-<?php echo esc_attr($key); ?>" value="Upload">
                                        </div>
                                        <div class="form-group">
                                            <label for="team_btn_txt" class="col-form-label wl-txt-label"><?php esc_html_e('Facebook Link', WL_COMPANION_DOMAIN); ?></label>
                                            <input type="text" class="form-control" id="team_btn_txt-<?php echo esc_attr($key); ?>" name="team_btn_txt-<?php echo esc_attr($key); ?>" placeholder=" " value="<?php if (!empty($value['team_text'])) {
                                                echo esc_attr($value['team_text']);
} ?>" >
                                        </div>
                                        <div class="form-group">
                                            <label for="team_btn_link" class="col-form-label wl-txt-label"><?php esc_html_e('Twitter Link', WL_COMPANION_DOMAIN); ?></label>
                                            <input type="text" class="form-control" id="team_btn_link-<?php echo esc_attr($key); ?>" name="team_btn_link-<?php echo esc_attr($key); ?>" placeholder=" " value="<?php if (!empty($value['team_link'])) {
                                                echo esc_attr($value['team_link']);
} ?>" >
                                        </div>
                                        <div class="form-group">
                                            <label for="team_ldn_link" class="col-form-label wl-txt-label"><?php esc_html_e('Linkedin Link', WL_COMPANION_DOMAIN); ?></label>
                                            <input type="text" class="form-control" id="team_ldn_link-<?php echo esc_attr($key); ?>" name="team_ldn_link-<?php echo esc_attr($key); ?>" placeholder=" " value="<?php if (!empty($value['team_ldn_link'])) {
                                                echo esc_attr($value['team_ldn_link']);
} ?>" >
                                        </div>
                                        <a href="#" class="btn btn-danger btn-sm remove_field"><?php esc_html_e('Remove', WL_COMPANION_DOMAIN); ?></a>
                                    </div>
                    <?php
                }
            } ?>
                </div>
                <button class='btn btn-success add_field_button' id="add_field_button-team"><?php esc_html_e('Add Team Member', WL_COMPANION_DOMAIN); ?></button></br>
                <button type="button" class="btn btn-success add_field_button wl-companion-submit-btn" id="wl-ext-submit-team"><?php esc_html_e('Save', WL_COMPANION_DOMAIN); ?></button>
            </form>
        </div>
            <?php
        }
    }
endif;

?>
